%define anolis_release 1
%global tarball libXxf86dga

Summary: X.Org X11 libXxf86dga runtime library
Name: libXxf86dga
Version: 1.1.5
Release: %{anolis_release}%{?dist}
License: MIT
URL: http://www.x.org

Source0: https://www.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

Requires: libX11 >= 1.5.99.902

BuildRequires: make
BuildRequires: xorg-x11-util-macros
BuildRequires: autoconf automake libtool
BuildRequires: pkgconfig
BuildRequires: xorg-x11-proto-devel >= 7.4-32
BuildRequires: libX11-devel >= 1.5.99.902
BuildRequires: libXext-devel

%description
X.Org X11 libXxf86dga runtime library

%package devel
Summary: X.Org X11 libXxf86dga development package
Requires: %{name} = %{version}-%{release}

%description devel
X.Org X11 libXxf86dga development package

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{tarball}-%{version} -p1

%build
autoreconf -v --install --force
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

%generate_compatibility_deps

%files
%doc COPYING
%{_libdir}/libXxf86dga.so.1
%{_libdir}/libXxf86dga.so.1.0.0
%dir %{abidir}
%{abidir}/libXxf86dga.dump

%files devel
%{_libdir}/libXxf86dga.so
%{_libdir}/pkgconfig/xxf86dga.pc
%{_mandir}/man3/*.3*
%{_includedir}/X11/extensions/xf86dga1.h
%{_includedir}/X11/extensions/Xxf86dga.h

%files doc
%doc README.md

%changelog
* Wed Mar 29 2023 happy_orange <songnannan@linux.alibaba.com> - 1.1.5-1
- init package
